Subject: Re: bug#2707: 23.0.91; RMAIL summary not in step with main file

From: Glenn Morris <[email-masked]>
Date: Thu, 19 Mar 2009 02:31:12 -0400

Richard M Stallman wrote:

> When DONT-SHOW is non-nil, should rmail-expunge do this, or should the
> caller do it?

Doesn't matter much. rmail-expunge is only used in two places in all
of Emacs (rmail-expunge-and-save and rmail-quit). Both currently
expect it to update any summary, but it's easy to change.

> The reason I am not sure is that the code seems to expect that summary
> manipulation to also do the job of showing the message, and DONT-SHOW
> says not to do that.

The DONT-SHOW argument is new (and undocumented...), so you can make
it do whatever you like.